<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="OBDO_DistOrderLinesJR" pageWidth="477" pageHeight="802" columnWidth="477" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="6adf6da8-eb81-443d-8699-e1e24140b799">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<style name="default" vAlign="Middle" fontName="Bitstream Vera Sans" fontSize="8"/>
	<style name="Detail_Header" mode="Opaque" forecolor="#FFFFFF" backcolor="#5D5D5D" vAlign="Middle" fontName="Bitstream Vera Sans" fontSize="10" isBold="true"/>
	<style name="Detail_Line">
		<conditionalStyle>
			<conditionExpression><![CDATA[new Boolean($V{REPORT_COUNT}.intValue()%2==1)]]></conditionExpression>
			<style mode="Opaque" backcolor="#CCCCCC"/>
		</conditionalStyle>
	</style>
	<style name="Total_Gray" mode="Opaque" forecolor="#000000" backcolor="#CCCCCC"/>
	<style name="Column_Header" mode="Opaque" forecolor="#FFFFFF" backcolor="#666666"/>
	<parameter name="DOCUMENT_ID" class="java.lang.String">
		<defaultValueExpression><![CDATA["'1000069'"]]></defaultValueExpression>
	</parameter>
	<parameter name="NUMBERFORMAT" class="java.text.DecimalFormat" isForPrompting="false"/>
	<parameter name="LOCALE" class="java.util.Locale" isForPrompting="false"/>
	<queryString>
		<![CDATA[SELECT P.NAME AS PROD_NAME, U.NAME AS UOM, OBDOL.QTYORDERED, OBDOL.QTYCONFIRMED,
OBDOL.QTYISSUED, OBDOL.QTYRECEIVED
FROM OBDO_DISTORDERLINE OBDOL
LEFT JOIN M_PRODUCT P ON P.M_PRODUCT_ID = OBDOL.M_PRODUCT_ID
LEFT JOIN C_UOM U ON U.C_UOM_ID = OBDOL.C_UOM_ID
WHERE
OBDOL.obdo_distorder_id = $P{DOCUMENT_ID}]]>
	</queryString>
	<field name="prod_name" class="java.lang.String"/>
	<field name="uom" class="java.lang.String"/>
	<field name="qtyordered" class="java.math.BigDecimal"/>
	<field name="qtyconfirmed" class="java.math.BigDecimal"/>
	<field name="qtyissued" class="java.math.BigDecimal"/>
	<field name="qtyreceived" class="java.math.BigDecimal"/>
	<variable name="SUM_LINENETAMT" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="24" splitType="Stretch">
			<staticText>
				<reportElement uuid="b14f7823-b93f-4052-8118-29a044d408e9" key="" style="default" x="0" y="1" width="135" height="22" forecolor="#7E7979"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="9" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Product name]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="bee75408-c527-4616-a496-9cb14a63eeea" key="" style="default" x="135" y="1" width="35" height="22" forecolor="#7E7979"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="9" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Uom]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="6d7d3f9b-8def-4cb3-8046-dc758729888d" key="" style="default" mode="Transparent" x="170" y="1" width="76" height="22" forecolor="#7E7979"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="9" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Qty Ordered]]></text>
			</staticText>
			<line>
				<reportElement uuid="ac724a84-3f58-44f1-b573-1268ad3dc4c7" key="line-1" x="0" y="23" width="477" height="1" forecolor="#CCCCCC"/>
				<graphicElement>
					<pen lineWidth="2.0" lineStyle="Double" lineColor="#A3A1A1"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement uuid="1252b056-a11a-4ee8-ab00-e82bec4dbebb" key="" style="default" mode="Transparent" x="246" y="1" width="78" height="22" forecolor="#7E7979"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="9" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Qty Confirmed]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="018820f7-9d2e-4551-b42f-3de772b30652" key="" style="default" mode="Transparent" x="324" y="1" width="76" height="22" forecolor="#7E7979"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="9" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Qty Issue]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="028415f9-1e67-4387-8012-ad325963323b" key="" style="default" mode="Transparent" x="400" y="1" width="76" height="22" forecolor="#7E7979"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="9" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Qty Receipt]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="25" splitType="Stretch">
			<line>
				<reportElement uuid="d9b889d5-1fd2-4685-8c8e-fbcbfe6f1e1a" key="line-1" x="0" y="22" width="477" height="1" forecolor="#CCCCCC"/>
				<graphicElement>
					<pen lineWidth="1.0" lineStyle="Solid" lineColor="#A3A1A1"/>
				</graphicElement>
			</line>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement uuid="ea4c6e60-6897-4efe-9fca-14e2a08168b6" key="textField" style="default" x="170" y="0" width="76" height="21" forecolor="#000000"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{qtyordered}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement uuid="8f37cc83-e687-4e78-8eac-cc3509b969cf" key="textField" style="default" x="135" y="0" width="35" height="21" forecolor="#000000"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{uom}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement uuid="224406b1-3f40-4a25-887d-eedf1864f33f" key="textField" style="default" x="0" y="0" width="135" height="21" forecolor="#000000"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{prod_name}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement uuid="bb839127-7820-45fb-bdec-a9a1845e0026" key="textField" style="default" x="246" y="0" width="78" height="21" forecolor="#000000"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{qtyconfirmed}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement uuid="f0999b21-099c-4e9e-a330-9c87191594e9" key="textField" style="default" x="324" y="0" width="76" height="21" forecolor="#000000"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{qtyissued}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement uuid="f89e98a4-878f-464f-9f56-0fb7309f8a80" key="textField" style="default" x="400" y="0" width="76" height="21" forecolor="#000000"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{qtyreceived}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
